ros-melodic-swri-opencv-util (2.15.2-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 01 Sep 2022 05:00:00 -0000

ros-melodic-swri-opencv-util (2.14.2-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 09 Sep 2020 05:00:00 -0000

ros-melodic-swri-opencv-util (2.14.1-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 18 Aug 2020 05:00:00 -0000

ros-melodic-swri-opencv-util (2.14.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 15 Jul 2020 05:00:00 -0000

ros-melodic-swri-opencv-util (2.13.7-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 26 Jun 2020 05:00:00 -0000

ros-melodic-swri-opencv-util (2.13.6-1bionic) bionic; urgency=high

  * Update catkin dependencies (#588 <https://github.com/swri-robotics/marti_common/issues/588>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-melodic-swri-opencv-util (2.13.5-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-melodic-swri-opencv-util (2.13.4-1bionic) bionic; urgency=high

  * Clean up Boost usage (#584 <https://github.com/swri-robotics/marti_common/issues/584>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 16 Jun 2020 05:00:00 -0000

ros-melodic-swri-opencv-util (2.13.3-1bionic) bionic; urgency=high

  * Bump minimum cmake version
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 12 Jun 2020 05:00:00 -0000

ros-melodic-swri-opencv-util (2.13.2-1bionic) bionic; urgency=high

  * Support ROS Noetic (#581 <https://github.com/swri-robotics/marti_common/issues/581>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-melodic-swri-opencv-util (2.13.1-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 21 May 2020 05:00:00 -0000

ros-melodic-swri-opencv-util (2.13.0-1bionic) bionic; urgency=high

  * Fix build with Boost >=1.69 (#574 <https://github.com/swri-robotics/marti_common/issues/574>)
  * Contributors: Ben Wolsieffer

 -- Marc Alban <malban@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-melodic-swri-opencv-util (2.12.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 25 Mar 2020 05:00:00 -0000

ros-melodic-swri-opencv-util (2.11.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-melodic-swri-opencv-util (2.10.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-melodic-swri-opencv-util (2.9.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-melodic-swri-opencv-util (2.8.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-melodic-swri-opencv-util (2.7.3-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-melodic-swri-opencv-util (2.7.2-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-melodic-swri-opencv-util (2.7.1-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-melodic-swri-opencv-util (2.7.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-melodic-swri-opencv-util (2.6.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-melodic-swri-opencv-util (2.5.0-1bionic) bionic; urgency=high

  * Add function for fitting a rotation on 3D point correspondences. (#524 <https://github.com/swri-robotics/marti_common/issues/524>)
  * Contributors: Marc Alban

 -- Marc Alban <malban@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-melodic-swri-opencv-util (2.4.0-1bionic) bionic; urgency=high

  * Add function to blend two images with alpha channels. (#522 <https://github.com/swri-robotics/marti_common/issues/522>)
  * Contributors: Marc Alban

 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-melodic-swri-opencv-util (2.3.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-melodic-swri-opencv-util (2.2.1-1bionic) bionic; urgency=high

  * Support ROS Melodic (#514 <https://github.com/swri-robotics/marti_common/issues/514>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-melodic-swri-opencv-util (2.2.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-melodic-swri-opencv-util (2.1.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-melodic-swri-opencv-util (2.0.0-1bionic) bionic; urgency=high

  * Link in the "highgui" module for swri_opencv_util (#506 <https://github.com/swri-robotics/marti_common/issues/506>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-melodic-swri-opencv-util (1.2.0-1bionic) bionic; urgency=high

  * Add PerpendicularPlaneWithPoint RANSAC model (#487 <https://github.com/swri-robotics/marti_common/issues/487>)
  * Contributors: Matthew Bries

 -- Marc Alban <malban@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-melodic-swri-opencv-util (1.1.0-1bionic) bionic; urgency=high

  * Implement RANSAC and least squares model fitting for 3d geometry (#479 <https://github.com/swri-robotics/marti_common/issues/479>)
  * Add missing cv_bridge dependency. (#480 <https://github.com/swri-robotics/marti_common/issues/480>)
  * Contributors: Edward Venator, Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-melodic-swri-opencv-util (1.0.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-melodic-swri-opencv-util (0.3.0-1bionic) bionic; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/swri-robotics/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-melodic-swri-opencv-util (0.2.4-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-melodic-swri-opencv-util (0.2.3-1bionic) bionic; urgency=high

  * Fix OpenCV dependencies for Kinetic build (#400 <https://github.com/swri-robotics/marti_common/issues/400>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-melodic-swri-opencv-util (0.2.2-1bionic) bionic; urgency=high

  * Migrated OpenCV to 3.1 (default in Kinetic)
  * Contributors: Brian Holt

 -- Marc Alban <malban@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-melodic-swri-opencv-util (0.2.1-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-melodic-swri-opencv-util (0.2.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 21 Jun 2016 05:00:00 -0000

ros-melodic-swri-opencv-util (0.1.5-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 13 May 2016 05:00:00 -0000

ros-melodic-swri-opencv-util (0.1.4-1bionic) bionic; urgency=high

  * Fixed compile error when ros-indigo-opencv3 is installed (#307 <https://github.com/evenator/marti_common/issues/307>)
    * Fixed compile error when package ros-indigo-opencv3 is installed.
    swri_geometry_util uses wrong version of OpenCV when the package
    ros-indigo-opencv3 is installed. This patch fixes the issue.
    * Updated all CMakeFiles.txt to specify OpenCV version 2
    The find_package for OpenCV is now:
    ./swri_opencv_util/CMakeLists.txt:find_package(OpenCV 2 REQUIRED)
    ./swri_geometry_util/CMakeLists.txt:find_package(OpenCV 2 REQUIRED)
    ./swri_image_util/CMakeLists.txt:find_package(OpenCV 2)
    ./swri_transform_util/CMakeLists.txt:find_package(OpenCV 2 REQUIRED)
  * Contributors: Kim Mathiassen

 -- Marc Alban <malban@swri.org>  Thu, 12 May 2016 05:00:00 -0000

ros-melodic-swri-opencv-util (0.1.3-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-melodic-swri-opencv-util (0.1.2-1bionic) bionic; urgency=high

  * Mark some constructors explicit.
  * Refactor RANSAC matching code to use more matrix operations.
  * Fix bugs in FitRigidTransform2d.
    The main problem was that reshape was being incorrectly, causing the
    points to get shuffled around.  Once that was fixed, it was clear that
    the rotation should not be inverted.  Also added a comment to clarify
    the significance of the returned transform.
  * Contributors: Elliot Johnson, Marc Alban

 -- Marc Alban <malban@swri.org>  Wed, 06 Jan 2016 06:00:00 -0000

ros-melodic-swri-opencv-util (0.1.1-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 17 Nov 2015 06:00:00 -0000

ros-melodic-swri-opencv-util (0.1.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 29 Sep 2015 05:00:00 -0000

ros-melodic-swri-opencv-util (0.0.14-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-melodic-swri-opencv-util (0.0.13-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-melodic-swri-opencv-util (0.0.12-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-melodic-swri-opencv-util (0.0.11-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 13 May 2016 05:00:00 -0000

ros-melodic-swri-opencv-util (0.0.10-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 12 May 2016 05:00:00 -0000

ros-melodic-swri-opencv-util (0.0.9-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-melodic-swri-opencv-util (0.0.8-1bionic) bionic; urgency=high

  * Marks some constructors explicit.
  * Refactors RANSAC matching code to use more matrix operations.
  * Fixes bugs in FitRigidTransform2d.
    The main problem was that reshape was being used incorrectly, causing the
    points to get shuffled around.  Once that was fixed, it was clear that
    the rotation should not be inverted.  Also adds a comment to clarify
    the significance of the returned transform.
  * Contributors: Elliot Johnson, Marc Alban

 -- Marc Alban <malban@swri.org>  Wed, 06 Jan 2016 06:00:00 -0000

ros-melodic-swri-opencv-util (0.0.7-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 18 Nov 2015 06:00:00 -0000

ros-melodic-swri-opencv-util (0.0.6-1bionic) bionic; urgency=high

  * Contributors: Kim Mathiassen

 -- Marc Alban <malban@swri.org>  Tue, 17 Nov 2015 06:00:00 -0000

ros-melodic-swri-opencv-util (0.0.5-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 27 Sep 2015 05:00:00 -0000

ros-melodic-swri-opencv-util (0.0.4-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 27 Sep 2015 05:00:00 -0000

ros-melodic-swri-opencv-util (0.0.3-1bionic) bionic; urgency=high

  * Clean up dependencies
    Remove unneeded ones, add required ones not specified
  * Contributors: Jerry Towler

 -- Marc Alban <malban@swri.org>  Sat, 26 Sep 2015 05:00:00 -0000

ros-melodic-swri-opencv-util (0.0.2-1bionic) bionic; urgency=high

  * Renames opencv_util package to swri_opencv_util. Refs #231 <https://github.com/swri-robotics/marti_common/issues/231>
  * Contributors: Edward Venator

 -- Marc Alban <malban@swri.org>  Fri, 25 Sep 2015 05:00:00 -0000

ros-melodic-swri-opencv-util (0.0.1-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 25 Sep 2015 05:00:00 -0000


